Package org.linphone.core

# Interface Range

public interface Range
Structure describing a range of integers.

## Method Summary

Modifier and Type
Method
Description
`int`
`getMax()`
Gets the higher value of the range.
`int`
`getMin()`
Gets the lower value of the range.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setMax(int max)`
Sets the higher value of the range.
`void`
`setMin(int min)`
Sets the lower value of the range.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getMax

int getMax()
Gets the higher value of the range.

Returns:
  The higher value

### setMax

void setMax(int max)
Sets the higher value of the range.

Parameters:
  `max` - the value to set

### getMin

int getMin()
Gets the lower value of the range.

Returns:
  The lower value

### setMin

void setMin(int min)
Sets the lower value of the range.

Parameters:
  `min` - the value to set

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`